--- /dev/null
+#!/bin/bash -ev
+set -o pipefail
+oldurl=$1
+oldtag=$2
+deburl=$3
+debtag=$4
+rpibranch=$5
+
+git fetch $oldurl $oldtag
+oldcommit=`git rev-parse FETCH_HEAD`
+echo fetched old commit $oldcommit
+git tag -f buildnewlinuxpackage-old $oldcommit
+
+echo git fetch $oldurl $oldtag=pkgonly
+git fetch $oldurl $oldtag=pkgonly
+oldcommitpkgonly=`git rev-parse FETCH_HEAD`
+echo fetched old pkgonly commit $oldcommitpkgonly
+git tag -f buildnewlinuxpackage-oldpkgonly $oldcommitpkgonly
+
+git fetch $deburl $debtag
+debcommit=`git rev-parse FETCH_HEAD`
+echo fetched deb commit $debcommit
+git tag -f buildnewlinuxpackage-deb $debcommit
+
+git fetch https://github.com/raspberrypi/linux.git $rpibranch
+rpicommit=`git rev-parse FETCH_HEAD`
+echo fetched rpi commit $rpicommit
+git tag -f buildnewlinuxpackage-rpi $rpicommit
+
+
+git checkout $debcommit
+upstreamversion=`dpkg-parsechangelog -S version | cut -d '-' -f 1`
+
+git fetch git://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable.git v$upstreamversion
+upstreamcommit=`git rev-parse FETCH_HEAD`
+echo fetched upstream commit $upstreamcommit
+
+git tag -f buildnewlinuxpackage-upstream $upstreamcommit
+
--- /dev/null
+#!/bin/bash -ev
+scriptdir=`dirname $(readlink -f "$BASH_SOURCE")`
+
+git reset --hard
+
+git checkout buildnewlinuxpackage-deb
+DEBVERSION=`dpkg-parsechangelog -S version`
+NEWVERSION=`dpkg-parsechangelog -S version`+rpi1
+PACKAGE=linux-`echo $NEWVERSION | cut -d '.' -f 1`.`echo $NEWVERSION | cut -d '.' -f 2`
+git checkout buildnewlinuxpackage-oldpkgonly
+OLDVERSION=`dpkg-parsechangelog -S version`
+TARGETSUITE=`dpkg-parsechangelog -S distribution`
+
+git config --local user.name "Raspbian kernel package updater"
+git config --local user.email root@raspbian.org
+git config merge.conflictstyle diff3
+
+#merge in existing packaging
+git merge buildnewlinuxpackage-deb || true
+
+$scriptdir/fixupchangelog debian/changelog $NEWVERSION $TARGETSUITE "`date -uR`" $PACKAGE
+git add debian/changelog
+
+git diff --name-only --diff-filter=U > ../conflicts
+
+if grep ^debian/patches/series$ ../conflicts ; then
+ $scriptdir/fixupseries debian/patches/series
+ git add debian/patches/series
+fi
+
+if grep ^debian/config/defines$ ../conflicts ; then
+ ($scriptdir/fixupcontrol debian/config/defines .. && git add debian/config/defines) || true
+fi
+
+if ! git commit -m "Merge packaging changes from $OLDVERSION into $DEBVERSION to produce packaging for $NEWVERSION" ; then
+ echo automatic merging failed, fix any remaining conflicts commit and tag your changes before moving on
+ echo example commands to merge and tag:
+ echo git commit -m '"Merge packaging changes from '$OLDVERSION' into '$DEBVERSION' to produce packaging for '$NEWVERSION'"'
+ echo git tag -f buildnewlinuxpackage-pkgmerge
+ exit 1
+fi
+git tag -f buildnewlinuxpackage-pkgmerge
\ No newline at end of file
--- /dev/null
+#!/bin/bash -ev
+scriptdir=`dirname $(readlink -f "$BASH_SOURCE")`
+
+git reset --hard
+
+git checkout buildnewlinuxpackage-deb
+DEBVERSION=`dpkg-parsechangelog -S version`
+PACKAGE=linux-`echo $NEWVERSION | cut -d '.' -f 1`.`echo $NEWVERSION | cut -d '.' -f 2`
+git checkout buildnewlinuxpackage-oldpkgonly
+OLDVERSION=`dpkg-parsechangelog -S version`
+
+git checkout buildnewlinuxpackage-pkgmerge
+NEWVERSION=`dpkg-parsechangelog -S version`
+TARGETSUITE=`dpkg-parsechangelog -S distribution`
+
+
+git config --local user.name "Raspbian kernel package updater"
+git config --local user.email root@raspbian.org
+git config merge.conflictstyle diff3
+
+#pseudomerge in upstream history
+git merge -sours --allow-unrelated-histories buildnewlinuxpackage-upstream -m 'psudedomerge to tie in upstream history'
+
+git tag -f buildnewlinuxpackage-upstreampsuedomerge
+
+#merge in rpi stuff
+git merge buildnewlinuxpackage-rpi -m 'merge rpi changes with packaging'
+
+git tag -f buildnewlinuxpackage-rpimerge
+
+git rebase buildnewlinuxpackage-upstreampsuedomerge buildnewlinuxpackage-rpi
+
+git tag -f buildnewlinuxpackage-rpirebase
+
+git checkout buildnewlinuxpackage-rpirebase
+git_commits=$(git cherry buildnewlinuxpackage-upstreampsuedomerge | awk '/^\+/{print $2}')
+git checkout buildnewlinuxpackage-rpimerge
+
+git merge -sours --no-commit buildnewlinuxpackage-rpirebase
+
+mkdir -p debian/patches/rpi
+i=1000
+for c in $git_commits ; do
+ git show ${c} > debian/patches/rpi/rpi_${i}_${c}.patch
+ git add debian/patches/rpi/rpi_${i}_${c}.patch
+ i=$((${i}+1))
+done
+chmod 755 debian/splitseries.php
+debian/splitseries.php
+ls debian/patches/rpi/ | sed s_^_rpi/_ > debian/patches/series.fromgit
+cat debian/patches/series.prefix debian/patches/series.fromgit debian/patches/series.suffix > debian/patches/series
+rm debian/patches/series.prefix debian/patches/series.fromgit debian/patches/series.suffix
+
+git add debian/patches/series
+git commit -m 'generate rpi patches from rebased rpi commits and update quilt series with them'
+
+git tag -f buildnewlinuxpackage-stage2
--- /dev/null
+#!/bin/bash -ev
+scriptdir=`dirname $(readlink -f "$BASH_SOURCE")`
+
+git reset --hard
+
+#git checkout buildnewlinuxpackage-deb
+#DEBVERSION=`dpkg-parsechangelog -S version`
+#PACKAGE=linux-`echo $NEWVERSION | cut -d '.' -f 1`.`echo $NEWVERSION | cut -d '.' -f 2`
+#git checkout buildnewlinuxpackage-oldpkgonly
+#OLDVERSION=`dpkg-parsechangelog -S version`
+#
+#git checkout buildnewlinuxpackage-pkgmerge
+#NEWVERSION=`dpkg-parsechangelog -S version`
+#TARGETSUITE=`dpkg-parsechangelog -S distribution`
+
+
+git config --local user.name "Raspbian kernel package updater"
+git config --local user.email root@raspbian.org
+git config merge.conflictstyle diff3
+
+git checkout buildnewlinuxpackage-stage2
+touch debian/changelog
+
+debian/rules clean || debian/rules clean
+git add -f debian/*
+git commit -m 'run clean target to update generated files in debian packaging'
+
+dgit --quilt=auto quilt-fixup
\ No newline at end of file
--- /dev/null
+#!/usr/bin/python3
+#(C) 2015 Peter Michael Green <plugwash@debian.org>
+#This software is provided 'as-is', without any express or implied warranty. In
+#no event will the authors be held liable for any damages arising from the use
+#of this software.
+#
+#Permission is granted to anyone to use this software for any purpose, including
+#commercial applications, and to alter it and redistribute it freely, subject to
+#the following restrictions:
+#
+#1. The origin of this software must not be misrepresented; you must not claim.
+#that you wrote the original software. If you use this software in a product,
+#an acknowledgment in the product documentation would be appreciated but is.
+#not required.
+#
+#2. Altered source versions must be plainly marked as such, and must not be
+#misrepresented as being the original software.
+#
+#3. This notice may not be removed or altered from any source distribution.
+
+from debian import changelog
+import sys
+filetofix = sys.argv[1]
+newversion = sys.argv[2]
+distribution = sys.argv[3]
+date = sys.argv[4]
+package = sys.argv[5]
+
+upstreamchangelog = []
+olddownstreamchangelog = []
+
+f = open(filetofix,'rb')
+mode = 0; # 0: unconflicted text 1: downstream text 2: mergehead text 3: upstream text
+for line in f:
+ #print(repr(line))
+ if (line.startswith(b'<<<<<<< ')):
+ if (mode == 0):
+ mode = 1
+ #print('found <<<<<<< switching to mode 1')
+ else:
+ print('broken diff3, unexpected <<<<<<<', file=sys.stderr)
+ sys.exit(1);
+ elif (line.startswith(b'||||||| ')):
+ if (mode == 1):
+ mode = 2
+ #print('found ||||||| switching to mode 2')
+ else:
+ print('broken diff3, unexpected |||||||', file=sys.stderr)
+ sys.exit(1);
+ elif (line == b'=======\n'):
+ if (mode == 2):
+ mode = 3
+ #print('found ======= switching to mode 3')
+ else:
+ print('broken diff3, unexpected =======', file=sys.stderr)
+ sys.exit(1);
+ elif (line.startswith(b'>>>>>>> ')):
+ if (mode == 3):
+ #print('found >>>>>>> switching to mode 0')
+ mode = 0
+ else:
+ print('broken diff3, unexpected >>>>>>>', file=sys.stderr)
+ sys.exit(1);
+ elif ((mode == 0) or (mode == 3)):
+ upstreamchangelog.append(line)
+ elif (mode == 1):
+ olddownstreamchangelog.append(line)
+
+f.close()
+
+c = changelog.Changelog(olddownstreamchangelog)
+entries = []
+#unfortunately the changelog module doesn't let us directly access it's list
+#of changes, only an iterator over it, so we have to make our own list.
+#so we can perform a reverse iteration (the changelog module gives us the most
+#recent entry first, we want oldest first)
+for entry in c:
+ entries.append(entry)
+
+if (len(entries) == 0):
+ print('no downstream changelog entries found, aborting')
+ sys.exit(1)
+
+f=open(filetofix,'wb')
+
+f.write((package+' ('+newversion+') '+distribution+'; urgency=medium\n').encode('utf-8'))
+f.write(('\n').encode('utf-8'))
+for entry in reversed(entries):
+ lines = entry.changes()[:] #copy this so we don't modify the libraries
+ #version of it.
+ while (lines[0] == ''):
+ del lines[0]
+ if ((lines[0].strip().upper())[0:8] != '[CHANGES'):
+ f.write((' [changes brought forward from '+str(entry.version)+' by '+entry.author+' at '+entry.date+']\n').encode('utf-8'))
+ for line in lines:
+ f.write((line+'\n').encode('utf-8'))
+
+f.write((' -- Raspbian forward porter <root@raspbian.org> '+date+'\n').encode('utf-8'))
+f.write(('\n').encode('utf-8'))
+
+for line in upstreamchangelog:
+ f.write(line)
+
+f.close()
\ No newline at end of file
--- /dev/null
+#!/usr/bin/python3
+#(C) 2015 Peter Michael Green <plugwash@debian.org>
+#This software is provided 'as-is', without any express or implied warranty. In
+#no event will the authors be held liable for any damages arising from the use
+#of this software.
+#
+#Permission is granted to anyone to use this software for any purpose, including
+#commercial applications, and to alter it and redistribute it freely, subject to
+#the following restrictions:
+#
+#1. The origin of this software must not be misrepresented; you must not claim.
+#that you wrote the original software. If you use this software in a product,
+#an acknowledgment in the product documentation would be appreciated but is.
+#not required.
+#
+#2. Altered source versions must be plainly marked as such, and must not be
+#misrepresented as being the original software.
+#
+#3. This notice may not be removed or altered from any source distribution.
+
+import sys
+import re
+import subprocess
+
+filetofix = sys.argv[1]
+tempdir = sys.argv[2]
+
+f = open(filetofix,'rb')
+lines = f.readlines()
+f.close()
+
+fd = open(tempdir+'/dtmp','wb')
+fm = open(tempdir+'/mtmp','wb')
+fu = open(tempdir+'/utmp','wb')
+
+
+mode = 0; # 0: unconflicted text 1: downstream text 2: mergehead text 3: upstream text
+
+downstream = set()
+mergehead = set()
+upstream = set()
+deferred = []
+
+def writesplitline(f,line):
+ hasnewline = False
+ if line[-1:] == b"\n":
+ line = line[:-1]
+ hasnewline = True
+ #print(repr(line[-1:]))
+ linesplit = re.match(rb'^(\s*[^\s]*)(.*)$',line).groups()
+
+ f.write(b'[1]'+linesplit[0]+b"\n")
+ f.write(b'[2]'+linesplit[1]+b"\n")
+ if hasnewline:
+ f.write(b'[3]'+linesplit[0]+b"\n")
+ else:
+ f.write(b'[3]'+linesplit[0])
+
+#for stage in range(0,2):
+for line in lines:
+ #print(repr(line))
+ if (line.startswith(b'<<<<<<< ')):
+ if (mode == 0):
+ mode = 1
+ #print('found <<<<<<< switching to mode 1')
+ else:
+ print('broken diff3, unexpected <<<<<<<', file=sys.stderr)
+ sys.exit(1);
+ elif (line.startswith(b'||||||| ')):
+ if (mode == 1):
+ mode = 2
+ #print('found ||||||| switching to mode 2')
+ else:
+ print('broken diff3, unexpected |||||||', file=sys.stderr)
+ sys.exit(1);
+ elif (line == b'=======\n'):
+ if (mode == 2):
+ mode = 3
+ #print('found ======= switching to mode 3')
+ else:
+ print('broken diff3, unexpected =======', file=sys.stderr)
+ sys.exit(1);
+ elif (line.startswith(b'>>>>>>> ')):
+ if (mode == 3):
+ #print('found >>>>>>> switching to mode 0')
+ mode = 0
+ else:
+ print('broken diff3, unexpected >>>>>>>', file=sys.stderr)
+ sys.exit(1);
+ else:
+ if ((mode == 0) or (mode == 1)):
+ writesplitline(fd,line)
+ if ((mode == 0) or (mode == 2)):
+ writesplitline(fm,line)
+ if ((mode == 0) or (mode == 3)):
+ writesplitline(fu,line)
+
+
+
+fd.close()
+fm.close()
+fu.close()
+
+command = ['merge',tempdir+'/dtmp',tempdir+'/mtmp',tempdir+'/utmp']
+print(command, flush=True)
+if (subprocess.call(command) != 0):
+ print('merge of processed files failed')
+ sys.exit(1)
+
+fd = open(tempdir+'/dtmp','rb')
+
+l1 = b''
+l2 = b''
+l3 = b''
+
+f = open(filetofix+'.new','wb')
+
+for line in fd:
+ hasnewline = False
+ if line[-1:] == b"\n":
+ line = line[:-1]
+ hasnewline = True
+ if line[:3] == b'[1]':
+ l1 = line[3:]
+ elif line[:3] == b'[2]':
+ l2 = line[3:]
+ elif line[:3] == b'[3]':
+ l3 = line[3:]
+ if (l1 != l3):
+ print('l1 and l3 do not match in merge result')
+ sys.exit(1)
+ output = l1 + l2
+ if hasnewline:
+ output += b'\n';
+ f.write(output)
+ else:
+ print('unexpected line in merge result')
+ sys.exit(1)
+
+f.close
+
+command = ['mv',filetofix+'.new',filetofix]
+print(command, flush=True)
+if (subprocess.call(command) != 0):
+ print('moviing result into place failed')
+ sys.exit(1)
--- /dev/null
+#!/usr/bin/python3
+#(C) 2015 Peter Michael Green <plugwash@debian.org>
+#This software is provided 'as-is', without any express or implied warranty. In
+#no event will the authors be held liable for any damages arising from the use
+#of this software.
+#
+#Permission is granted to anyone to use this software for any purpose, including
+#commercial applications, and to alter it and redistribute it freely, subject to
+#the following restrictions:
+#
+#1. The origin of this software must not be misrepresented; you must not claim.
+#that you wrote the original software. If you use this software in a product,
+#an acknowledgment in the product documentation would be appreciated but is.
+#not required.
+#
+#2. Altered source versions must be plainly marked as such, and must not be
+#misrepresented as being the original software.
+#
+#3. This notice may not be removed or altered from any source distribution.
+
+import sys
+filetofix = sys.argv[1]
+
+f = open(filetofix,'rb')
+series = f.readlines()
+f.close()
+
+mode = 0; # 0: unconflicted text 1: downstream text 2: mergehead text 3: upstream text
+
+downstream = set()
+mergehead = set()
+upstream = set()
+deferred = []
+
+f = open(filetofix,'wb')
+
+for stage in range(0,2):
+ for line in series:
+ #print(repr(line))
+ if (line.startswith(b'<<<<<<< ')):
+ if (mode == 0):
+ mode = 1
+ #print('found <<<<<<< switching to mode 1')
+ else:
+ print('broken diff3, unexpected <<<<<<<', file=sys.stderr)
+ sys.exit(1);
+ elif (line.startswith(b'||||||| ')):
+ if (mode == 1):
+ mode = 2
+ #print('found ||||||| switching to mode 2')
+ else:
+ print('broken diff3, unexpected |||||||', file=sys.stderr)
+ sys.exit(1);
+ elif (line == b'=======\n'):
+ if (mode == 2):
+ mode = 3
+ #print('found ======= switching to mode 3')
+ else:
+ print('broken diff3, unexpected =======', file=sys.stderr)
+ sys.exit(1);
+ elif (line.startswith(b'>>>>>>> ')):
+ if (mode == 3):
+ #print('found >>>>>>> switching to mode 0')
+ mode = 0
+ if (stage == 1):
+ for dline in deferred:
+ f.write(dline)
+ deferred = []
+ else:
+ print('broken diff3, unexpected >>>>>>>', file=sys.stderr)
+ sys.exit(1);
+ elif (stage == 0):
+ if ((mode == 0) or (mode == 1)):
+ downstream.add(line)
+ if ((mode == 0) or (mode == 2)):
+ mergehead.add(line)
+ if ((mode == 0) or (mode == 3)):
+ upstream.add(line)
+ elif (stage == 1):
+ #print(repr(line))
+ if (mode != 2):
+ if (line in new):
+ new.remove(line)
+ if (mode == 1):
+ deferred.append(line)
+ else:
+ f.write(line)
+ if (stage == 0):
+ new = (downstream - mergehead) | (upstream - mergehead) | (upstream & downstream & mergehead)
+ #print(repr(new))
+
+f.close()
\ No newline at end of file
+linux-4.9 (4.9.13-1+rpi2) jessie-staging; urgency=medium
+
+ * Make config changes based on diff between rpi-4.4.y and rpi-4.9.y branches.
+ * Further fixes to clean target.
+
+ -- Peter Michael Green <plugwash@raspbian.org> Thu, 11 May 2017 17:42:57 +0000
+
linux-4.9 (4.9.13-1+rpi1) jessie-staging; urgency=medium
[Changes from 3.18.5-1~exp1+rpi1 or earlier]
* Deversion flex build-dependency
* Deversion libbabeltrace-dev and libbabeltrace-ctf-dev build-dependencys
* Build with gcc-4.9
+ * Fix build failure with debhelper versions that don't know --no-automatic-dbgsym
+ * Remove ext3 modules from d-i package list.
-- Peter Michael Green <plugwash@raspbian.org> Tue, 07 Mar 2017 02:27:05 +0000
## file: arch/arm/Kconfig
#pi1 specific stuff
-
-CONFIG_ARCH_BCM2708=y
-CONFIG_BCM2708_DT=y
+CONFIG_ARCH_BCM=y
+CONFIG_ARCH_BCM2835=y
+CONFIG_ARCH_MULTI_V6=y
+# CONFIG_ARCH_MULTI_V7 is not set
CONFIG_CRYPTO_CRYPTD=m
CONFIG_CRYPTO_SHA1_ARM=m
CONFIG_CRYPTO_SHA512=m
CONFIG_TI_ST=m
CONFIG_DM_THIN_PROVISIONING=m
CONFIG_QCA7000=m
-CONFIG_WL_MEDIATEK=y
CONFIG_MT7601U=m
CONFIG_IEEE802154_AT86RF230=m
CONFIG_IEEE802154_MRF24J40=m
CONFIG_IEEE802154_CC2520=m
CONFIG_JOYSTICK_RPISENSE=m
-CONFIG_TOUCHSCREEN_FT6236=m
CONFIG_TOUCHSCREEN_RPI_FT5406=m
CONFIG_BRCM_CHAR_DRIVERS=y
CONFIG_BCM_VC_CMA=y
CONFIG_SERIAL_OF_PLATFORM=y
CONFIG_SENSORS_SHT21=m
CONFIG_SENSORS_SHTC1=m
-CONFIG_BCM2835_WDT=m
CONFIG_DRM=m
CONFIG_DRM_VC4=m
CONFIG_FB_SSD1307=m
CONFIG_CRYPTO_SHA1_ARM=m
CONFIG_CRYPTO_AES_ARM=m
+# Settings added during the move from 4.4 to 4.9 (exclusing core arch settings)
+# CONFIG_CACHE_L2X0 is not set
## file: arch/arm/Kconfig
#pi2 specific stuff
-CONFIG_ARCH_BCM2709=y
+CONFIG_ARCH_BCM=y
+CONFIG_ARCH_BCM2835=y
+
# CONFIG_CACHE_L2X0 is not set
-CONFIG_BCM2709_DT=y
CONFIG_SMP=y
-CONFIG_HAVE_ARM_ARCH_TIMER=y
CONFIG_VMSPLIT_2G=y
CONFIG_NEON=y
CONFIG_KERNEL_MODE_NEON=y
CONFIG_TI_ST=m
CONFIG_DM_THIN_PROVISIONING=m
CONFIG_QCA7000=m
-CONFIG_WL_MEDIATEK=y
CONFIG_MT7601U=m
CONFIG_IEEE802154_AT86RF230=m
CONFIG_IEEE802154_MRF24J40=m
CONFIG_IEEE802154_CC2520=m
CONFIG_JOYSTICK_RPISENSE=m
-CONFIG_TOUCHSCREEN_FT6236=m
CONFIG_TOUCHSCREEN_RPI_FT5406=m
CONFIG_BRCM_CHAR_DRIVERS=y
CONFIG_BCM_VC_CMA=y
CONFIG_GPIO_BCM_VIRT=y
CONFIG_SENSORS_SHT21=m
CONFIG_SENSORS_SHTC1=m
-CONFIG_BCM2835_WDT=m
CONFIG_DRM=m
CONFIG_DRM_VC4=m
CONFIG_FB_SSD1307=m
CONFIG_CIFS_SMB2=y
CONFIG_CRYPTO_SHA1_ARM_NEON=m
CONFIG_CRYPTO_AES_ARM_BS=m
+
+#Settings added during the move from 4.4 to 4.9
+CONFIG_CPU_FREQ_GOV_SCHEDUTIL=y
+CONFIG_TOUCHSCREEN_EKTF2127=m
+CONFIG_GPIO_BCM_EXP=y
+CONFIG_LATENCYTOP=y
#various other probablly useful stuff the rpf added to thier default config between 3.14 and 3.16
CONFIG_EEPROM_AT24=m
-CONFIG_DEVPTS_MULTIPLE_INSTANCES=y
CONFIG_SND_BCM2708_SOC_HIFIBERRY_DACPLUS=m
CONFIG_SND_BCM2708_SOC_HIFIBERRY_AMP=m
CONFIG_SND_SIMPLE_CARD=m
-CONFIG_RTC_DRV_ISL12057=m
CONFIG_RTC_DRV_PCF2127=m
CONFIG_USB_SN9C102=m
#stuff taken from rpf kernel 3.18 config,
#in the hope of getting a usable kernel
#(actually it made udev work but keyboard problems required further work)
-CONFIG_PHYS_OFFSET=0
CONFIG_NO_HZ=y
CONFIG_TREE_PREEMPT_RCU=y
CONFIG_PREEMPT_RCU=y
CONFIG_CMA_AREAS=7
CONFIG_UACCESS_WITH_MEMCPY=y
CONFIG_SECCOMP=y
-CONFIG_CPU_FREQ_STAT_DETAILS=y
CONFIG_CPU_FREQ_DEFAULT_GOV_POWERSAVE=y
CONFIG_CPU_FREQ_GOV_POWERSAVE=y
CONFIG_CPU_FREQ_GOV_USERSPACE=y
CONFIG_RTC_DRV_MAX6902=m
CONFIG_RTC_DRV_R9701=m
CONFIG_RTC_DRV_RS5C348=m
-CONFIG_RTC_DRV_DS3234=m
CONFIG_RTC_DRV_PCF2123=m
CONFIG_RTC_DRV_RX4581=m
CONFIG_TOUCHSCREEN_PROPERTIES=y
CONFIG_TOUCHSCREEN_ADS7846=m
CONFIG_TOUCHSCREEN_EGALAX=m
-CONFIG_TOUCHSCREEN_FT6236=m
CONFIG_TOUCHSCREEN_RPI_FT5406=m
CONFIG_TOUCHSCREEN_USB_COMPOSITE=m
CONFIG_TOUCHSCREEN_USB_EGALAX=y
CONFIG_LEDS_TRIGGER_INPUT=y
CONFIG_UIO_PDRV_GENIRQ=m
CONFIG_PRISM2_USB=m
-CONFIG_R8723AU=m
CONFIG_8723AU_AP_MODE=y
CONFIG_8723AU_BT_COEXIST=y
CONFIG_VT6656=m
CONFIG_KALLSYMS_ALL=y
CONFIG_OPTPROBES=y
CONFIG_MAC_PARTITION=y
-CONFIG_OABI_COMPAT=y
CONFIG_XFRM_ALGO=y
CONFIG_XFRM_USER=y
CONFIG_IP_PNP=y
# CONFIG_CRYPTO_HW is not set
# CONFIG_CRC_T10DIF is not set
# CONFIG_CORDIC is not set
+
+# Settings added during the move from 4.4 to 4.9
+CONFIG_BCM2835_WDT=y
+CONFIG_BMP280=m
+CONFIG_CFG80211=m
+CONFIG_CPU_FREQ_STAT=y
+CONFIG_CRYPTO_LZ4=m
+CONFIG_I2C_BCM2835=m
+CONFIG_LEDS_TRIGGER_PANIC=y
+CONFIG_NET_SCH_ATM=m
+CONFIG_NET_SCH_FQ=m
+CONFIG_NET_SCH_HHF=m
+CONFIG_NET_SCH_PIE=m
+CONFIG_NMI_LOG_BUF_SHIFT=12
+CONFIG_REGULATOR_ARIZONA=m
+CONFIG_REGULATOR_FIXED_VOLTAGE=m
+CONFIG_REGULATOR=y
+CONFIG_RTC_DRV_DS1302=m
+CONFIG_RTL8XXXU=m
+CONFIG_SENSORS_ADS1015=m
+CONFIG_SENSORS_TMP102=m
+CONFIG_SERIAL_8250_BCM2835AUX=y
+CONFIG_SERIAL_8250_EXTENDED=y
+CONFIG_SERIAL_8250_SHARE_IRQ=y
+CONFIG_SND_AUDIOINJECTOR_OCTO_SOUNDCARD=m
+CONFIG_SND_BCM2708_SOC_ALLO_BOSS_DAC=m
+CONFIG_SND_BCM2708_SOC_ALLO_PIANO_DAC_PLUS=m
+CONFIG_SND_BCM2708_SOC_DIONAUDIO_LOCO_V2=m
+CONFIG_SND_BCM2708_SOC_FE_PI_AUDIO=m
+CONFIG_SND_BCM2708_SOC_GOOGLEVOICEHAT_SOUNDCARD=m
+CONFIG_SND_BCM2708_SOC_RPI_CIRRUS=m
+CONFIG_SND_SOC_ADAU7002=m
+CONFIG_TCP_CONG_ADVANCED=y
+CONFIG_TCP_CONG_BBR=m
+CONFIG_USER_NS=y
rm -f drivers/usb/gadget/function/f_subset.c.1
chmod 644 arch/arm/boot/dts/overlays/mcp3008-overlay.dts
chmod 644 drivers/net/wireless/realtek/rtl8192cu/clean drivers/net/wireless/realtek/rtl8192cu/ifcfg-wlan0 drivers/net/wireless/realtek/rtl8192cu/runwpa drivers/net/wireless/realtek/rtl8192cu/wlan0dhcp scripts/knlinfo scripts/mkknlimg sound/arm/bcm2835-ctl.c sound/arm/bcm2835-pcm.c sound/arm/bcm2835-vchiq.c sound/arm/bcm2835.h arch/arm/boot/dts/overlays/mcp2515-can0-overlay.dts
-
+ rm -f Documentation/sphinx/*.pyc
CONTROL_FILES = debian/changelog $(wildcard debian/templates/*.in)
+$(MAKE_SELF) \
install-image_$(ARCH)_$(FEATURESET)_$(FLAVOUR)_bug \
PACKAGE_DIR='$(PACKAGE_DIR)' PACKAGE_NAME='$(PACKAGE_NAME)' REAL_VERSION='$(REAL_VERSION)'
- dh_strip --no-automatic-dbgsym -Xvmlinux
+ dh_strip --no-automatic-dbgsym -Xvmlinux || dh_strip -Xvmlinux
+$(MAKE_SELF) install-base GENCONTROL_ARGS='-Vkernel:Recommends='"$$( \
if grep -q '^CONFIG_SMP=y' $(DIR)/.config; then \
printf irqbalance,; \
#!/bin/bash -ev
+echo this script is not currently in use, kept arround for historic reasons and reference.
+exit 1
+
#note: useful filterdiff command when bringing stuff forward
#filterdiff -p1 -xdebian/patches/rpi/* -x*.postinst -x*.preinst -x*.prerm -x*.postrm -x*/config.defines.dump -xdebian/control.md5sum -xdebian/*.templates -xdebian/po/*.po -xdebian/rules.gen linux-3.18.debdiff > linux-3.18.debdiff.filtered